Subject: Re: bug#46391: [PATCH 0/1] Canonicalize-path load-path option

From: Ludovic Courtès <[email-masked]>
Date: Wed, 24 Feb 2021 23:46:59 +0100

Hi!

zimoun <[email-masked]> skribis:

> This fixes <https://bugs.gnu.org/46390>.
>
> The test suite does not check relative path for the load-path option.
> I do not know what is the best to add a test about that.
>
> Last, I remember discussions about absolute/relative path and I do not know
> if this 'canonicalize-path' addition is the best fix here.
>
>
> All the best,
> simon
>
>
> zimoun (1):
>   scripts: build: Fix relative load-path.
>
>  guix/scripts/build.scm | 16 +++++++++-------
>  1 file changed, 9 insertions(+), 7 deletions(-)

I’m discovering this after having independently addreses #46390, sorry
about that!  (Perhaps we should always send patches that fix bugs to the
corresponding bug report rather than/in addition to guix-patches?)

Let me know what you think.

Thanks,
Ludo’.